package com.bwie.mapper;

import com.bwie.common.domain.Education;
import com.bwie.common.domain.History;
import com.bwie.common.domain.Patient;
import com.bwie.common.domain.Pressure;
import com.bwie.common.domain.Records;
import com.bwie.common.domain.Sugar;
import com.bwie.common.domain.request.HistoryRequest;
import com.bwie.common.domain.request.UserLevel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:38
 */
@Mapper
public interface ListsMapper {
    List<Education> educationList();

    List<History> historyList(HistoryRequest historyRequest);

    List<Patient> patientList(UserLevel userLevel);

    List<Pressure> pressureList(UserLevel userLevel);

    List<Records> recordsList(UserLevel userLevel);

    List<Sugar> sugarList(UserLevel userLevel);

    Integer getUser(String name);

    Integer educationAdd(Education education);

    Integer educationDel(@Param("contentId") String contentId);

    Integer educationUpd(Education education);

    Integer historyAdd(History history);

    Integer historyUpd(History history);

    Integer historyDel(@Param("historyId") String historyId);

    Integer patientDel(@Param("patientId") String patientId);

    Integer patientAdd(Patient patient);

    Integer patientUpd(Patient patient);

    Integer pressureDel(@Param("pressureId") String pressureId);

    Integer pressureAdd(Pressure pressure);

    Integer pressureUpd(Pressure pressure);

    Integer recordsDel(@Param("recordsId") String recordsId);

    Integer recordsAdd(Records records);

    Integer recordsUpd(Records records);

    Integer sugarDel(@Param("sugarId") Sugar sugarId);

    Integer sugarAdd(Sugar sugar);

    Integer sugarUpd(Sugar sugar);
}
