package com.bwie.service;

import com.bwie.common.domain.Education;
import com.bwie.common.domain.History;
import com.bwie.common.domain.Patient;
import com.bwie.common.domain.Pressure;
import com.bwie.common.domain.Records;
import com.bwie.common.domain.Sugar;
import com.bwie.common.domain.request.HistoryRequest;
import com.bwie.common.domain.request.UserLevel;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;

import java.util.List;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:37
 */
public interface ListsService {
    Result<List<Education>> educationList();

    Result<PageResult<History>> historyList(HistoryRequest historyRequest);

    Result<PageResult<Patient>> patientList(UserLevel userLevel);

    Result<PageResult<Pressure>> pressureList(UserLevel userLevel);

    Result<PageResult<Records>> recordsList(UserLevel userLevel);

    Result<PageResult<Sugar>> sugarList(UserLevel userLevel);

    Result educationAdd(Education education);

    Result educationDel(String contentId);

    Result educationUpd(Education education);

    Result historyAdd(History history);

    Result historyUpd(History history);

    Result historyDel(String historyId);

    Result patientAdd(Patient patient);

    Result patientUpd(Patient patient);

    Result pressureDel(String pressureId);

    Result pressureAdd(Pressure pressure);

    Result pressureUpd(Pressure pressure);

    Result recordsDel(String recordsId);

    Result recordsAdd(Records records);

    Result recordsUpd(Records records);

    Result sugarDel(Sugar sugarId);

    Result sugarAdd(Sugar sugar);

    Result sugarUpd(Sugar sugar);

    Result patientDel(String patientId);
}
