package com.bwie.controller;

import com.bwie.common.domain.Admin;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.result.Result;
import com.bwie.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @version: java version 1.8
 * @author: liguangyao
 * @date: 2023-12-10 上午 9:34
 */
@RestController
public class UserController {
    @Autowired
    private UserService userService;

    @PostMapping("/userLogin")
    public Result<User> userLogin(@RequestBody UserRequest userRequest){
        User user = userService.userLogin(userRequest);
        return Result.success(user);
    }
    @PostMapping("/adminLogin")
    public Result<Admin> adminLogin(@RequestBody UserRequest userRequest){
        Admin admin = userService.adminLogin(userRequest);
        return Result.success(admin);
    }
}
